
<div class="container">

  <div class="col-md-12">
    <h2>Rechercher un animateur disponible:</h2>
    <div class="form-group form-users-search">
      <%= search_form_for @search do |f| %>
          <div><%= f.text_field :availabilities_date_cont, id: 'availability-date', class: 'form-control', placeholder: 'Date', :required => true %></div>
          <div><%= f.select :availabilities_time_slot_cont, options_for_select(
              [
                  ["Interclasse", "Interclasse"],
                  ["Centre de Loisirs", "Centre de Loisirs"],
                  ["Goûter / Etude", "Goûter / Etude"],
                  ["TAP", "TAP"]
              ]
          ), {include_blank: false}, {class: 'form-control'} %></div>
          <%= f.submit t('.submit', default: 'Chercher'), class: 'btn btn-edit-form' %>
      <% end %>
    </div>
  </div>

  <div class="col-md-3 ">
    <div class="filters_title">Filtrer la recherche</div>
    <div class="filters_wrapper">En construction</div>
  </div>
  <div class="col-md-9">
    <% if @user_availabilities.exists? %>

        <% if request.query_string.present?  %>
        <div class="availability_presence">Animateurs disponibles le <%= l params[:q][:availabilities_date_cont].to_date, format: :long %>, <%= params[:q][:availabilities_time_slot_cont] %> : </div>
        <% end %>
      <% @user_availabilities.each do |user| %>

          <div class="panel panel-default user-profile">
            <div class="user-profile_image"><%= image_tag user.avatar.url(:thumb), class: '' %></div>
            <div class="user-profile_desc">
              <%= link_to user_path(user), target: :_blank do %>
                <div class="user-profile_desc_username"><%= user.first_name %> <%= user.last_name %></div>
              <% end %>
              <div><i class="fa fa-mobile fa-lg"></i> <a href="tel:<%= user.phone_number %>"><%= user.phone_number %></a></div>
              <div class="user-profile_degree"><span class="label label-warning">Bafa</span></div>
            </div>
            <div class="user-profile_tags">
              <span class="label label-info">Elementaire</span>
              <span class="label label-info">Maternelle</span>
              <span class="label label-success">Jeux d'extérieur</span>

            </div>
          </div>
          <% end %>
      <% else %>
        <div class="availability_presence">Pas d'animateur disponible le <%= l params[:q][:availabilities_date_cont].to_date, format: :long  %>, <%= params[:q][:availabilities_time_slot_cont] %>  </div>
      <% end %>
  </div>
</div>

<script>
  $(function(){
      $('#availability-date').datepicker({
          dateFormat: 'yy-mm-dd',
          monthNames: ['Janvier','Février','Mars','Avril','Mai','Juin','Juillet','Août','Septembre','Octobre','Novembre','Décembre'],
          dayNamesMin: ['D','L','M','M','J','V','S'],
          minDate: 0,
          beforeShowDay: $.datepicker.noWeekends,
          firstDay: 1
      })
  })
</script>